<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form>
                            <!-- <div class="upload-row">
                                <label>Upload CV
                                    <img src="assets/images/upload-ic.png" alt="">
                                    <span class="w-100 mt-2">
                                       <span class="fw500">Note:</span> Only '.txt, .pdf, .doc, .docx, .xls, .xlsx' type files are allowed.
                                    </span>
                                  
                                    <input type="file" name="cvUpload" value="" (change)="getSelectedFile($event , 'CV', uploadCV )" #uploadCV>
                                </label> -->

                                <!-- <div class="selected-file mt-3">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">File Selected</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center">
                                            Item
                                            <mat-spinner diameter="20"></mat-spinner>
                                        </li>
                                    </ul>
                                </div> -->
<!-- 
                                <div class="selected-file mt-3" *ngIf="selectedCv.length">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">File Selected</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center" *ngFor="let cv of selectedCv">
                                            {{cv?.name}}
                                            <mat-spinner diameter="20"></mat-spinner>
                                        </li>
                                    </ul>
                                </div>

                                <div class="selected-file mt-3" *ngIf="readyToSaveCv && cvChosen">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">Ready to Save CV</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center">
                                            {{readyToSaveCv?.cvName}}
                                            <span class="t-success">
                                              <i class="fas fa-check-circle fs14"></i>
                                            </span>
                                        </li>
                                    </ul>
                                </div>

                                <div class="uploaded-file mt-3" *ngIf="uploadedCv && !cvChosen">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">File Saved</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center">
                                            {{uploadedCv?.cvName}}
                                        </li>
                                    </ul>
                                </div>

                            </div> -->
                            <div class="upload-row">
                                <label>Upload Video
                                    <img src="assets/images/upload-ic.png" alt="">
                                    <span class="w-100 mt-2">
                                      <span class="fw500">Note:</span> Only '.mp4, .webm' type files are allowed.
                                    </span>
                                    <input type="file" name="videoUpload" value="" (change)="getSelectedFile($event ,'Video', uploadVideo )" #uploadVideo>
                                </label>

                                <div class="selected-file mt-3" *ngIf="selectedVideo.length">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">File Selected</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center" *ngFor="let video of selectedVideo">
                                            {{video?.name}}
                                            <mat-spinner diameter="20"></mat-spinner>
                                        </li>
                                    </ul>
                                </div>

                                <div class="selected-file mt-3" *ngIf="readyToSaveVideo && videoChosen">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">Ready to Save Video</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center">
                                            {{readyToSaveVideo?.videoName}}
                                            <span class="t-success">
                                              <i class="fas fa-check-circle fs14"></i>
                                            </span>
                                        </li>
                                    </ul>
                                </div>

                                <div class="uploaded-file mt-3" *ngIf="uploadedVideo && !videoChosen">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">File Saved</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center">
                                            {{uploadedVideo?.videoName}}
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="upload-row last">
                                <label>Upload Documents
                                    <img src="assets/images/upload-ic.png" alt="">
                                    <span class="w-100 mt-2">
                                      <span class="fw500">Note:</span> Only '.jpg, .jpeg, .png, .txt, .pdf, .doc, .docx, .xls, .xlsx' type files are allowed.
                                    </span>
                                    <input type="file" name="docsUpload" multiple="multiple" (change)="getSelectedFile($event ,'Document', uploadDocuments )" #uploadDocuments>
                                </label>

                                <div class="selected-file mt-3" *ngIf="selectedDocs.length">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">Files Selected</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center" *ngFor="let doc of selectedDocs">
                                            {{doc?.name}}
                                            <mat-spinner diameter="20"></mat-spinner>
                                        </li>
                                    </ul>
                                </div>

                                <div class="selected-file mt-3" *ngIf="readyToSaveDocs.length">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">Ready to Save Documents</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center" *ngFor="let doc of readyToSaveDocs; let i = index">
                                            {{doc?.docName}}
                                            <span class="d-inline-flex align-items-center">
                                                <i class="fas fa-check-circle t-success fs14"></i>
                                                <button type="button" class="btn btn-link btn-sm p-0 t-red ml-2" (click)="deSelectFile(readyToSaveDocs, i)" title="Deselect file">
                                                    <i class="fas fa-minus-circle"></i>
                                                </button>
                                            </span>
                                        </li>
                                    </ul>
                                </div>

                                <!-- <div class="uploaded-file mt-3" *ngIf="uploadedDocs.length && !docChosen"> -->
                                <div class="uploaded-file mt-3" *ngIf="uploadedDocs.length">
                                    <ul class="list-group">
                                        <li class="list-group-item py-2 active fw600">Files Saved</li>
                                        <li class="list-group-item py-2 d-flex justify-content-between align-items-center" *ngFor="let doc of uploadedDocs; let i = index">
                                            {{doc.docName}}
                                            <button type="button" class="btn btn-link btn-sm p-0 t-red" title="Delete file" (click)="deleteSelectedFile(doc, uploadedDocs, i)">
                                                <i class="fas fa-minus-circle"></i>
                                            </button>
                                        </li>
                                    </ul>
                                </div>

                                <!-- <div class="form-group text-right">
                                    <a href="javascript:void(0)" (click)="addMoreDoc()">
                                        <img src="assets/images/add-btn.png" alt="">
                                    </a>
                                </div> -->
                            </div>

                            <div class="form-group text-center">
                                <input type="submit" [disabled]="( !readyToSaveVideo?.videoName && !readyToSaveDocs.length) || ( isVideoUploading || isDocsUploading)" (click)="saveAllUploads()" value="Save" class="btn">
                                <!-- <input type="submit" [disabled]="(!readyToSaveCv?.cvName && !readyToSaveVideo?.videoName && !readyToSaveDocs.length) || (isCvUploading || isVideoUploading || isDocsUploading)" (click)="saveAllUploads()" value="Save" class="btn"> -->

                                <!-- <input type="submit" [disabled]="(!readyToSaveCv?.cvName && !readyToSaveVideo?.videoName && !readyToSaveDocs.length) || isUploading" (click)="saveAllUploads()" value="Save" class="btn"> -->
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
